## Apache Zeta Components Manual :: Docs For Class ezcTestCase

### UnitTest::ezcTestCase

### Class ezcTestCase

Abstract base class for all Zeta Components test cases.

Source for this file: /UnitTest/src/test/case.php

    PHPUnit_Framework_TestCase
       |
       --ezcTestCase

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcTestRegressionTest |
ezcTestImageCase | Abstract base class for image related test cases.

### Method Summary

public void | `assertSetProperty( $object , $propertyName , $expectedValues )` Checks if $expectedValues are properly set on $propertyName in $object.
public void | `assertSetPropertyFails( $object , $propertyName , $setValues )` Checks if $setValues fail when set on $propertyName in $object.
public void | `cleanTempDir( )`
protected void | `createTempDir( $prefix , [ $path = 'run-tests-tmp'] )` Creates and returns the temporary directory.
public void | `getTempDir( )` Get the name of the temporary directory.
public void | `removeTempDir( )` Remove the temp directory.

### Methods

#### assertSetProperty

void assertSetProperty( $object , $propertyName , $expectedValues )

Checks if $expectedValues are properly set on $propertyName in $object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$object` |  |
`$propertyName` |  |
`$expectedValues` |  |

#### assertSetPropertyFails

void assertSetPropertyFails( $object , $propertyName , $setValues )

Checks if $setValues fail when set on $propertyName in $object.

Setting the property must result in an exception.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$object` |  |
`$propertyName` |  |
`$setValues` |  |

#### cleanTempDir

void cleanTempDir( )

#### createTempDir

void createTempDir( string $prefix , [string $path = 'run-tests-tmp'] )

Creates and returns the temporary directory.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$prefix` | string | Set the prefix of the temporary directory.
`$path` | string | Set the location of the temporary directory. If set to false, the temporary directory will probably placed in the /tmp directory.

#### getTempDir

void getTempDir( )

Get the name of the temporary directory.

#### removeTempDir

void removeTempDir( )

Remove the temp directory.

Documentation generated by phpDocumentor 1.4.3